Хочу рассказать очень интересную фишку относительно связки Plesk как хостинговой платформы и блога на платформе WordPress.

Столкнулся недавно с проблемой: нужно было обновить плагины, ну и собственно сам WP до версии 3.0.2 И весь затык с обновлением вышеупомянутого был в том, что на хостинге был включен PHP Safe Mode. Приходилось обновлять все ручками через FTP. Но вот через некоторое время нашлось решение этой проблемы.

При создании домена в Plesk по умолчанию в меню Настройка службы веб-хостинга в разделе Службы->Поддержка PHP стоит как Модуль Apache. Именно тут кроется решение проблемы. Если уже создан домент, тогда из панели управления Plesk в разделе Веб-сайт переходим в меню Настройки веб-хостинга и там уже заходим в нужный домен.

Находим раздел Службы и меняем Поддержка PHP (запустить как Модуль Apache ) на Поддержка PHP (запустить как Приложение FastCGI )

Сохраняем настройки и можно обновлять плагины и движок WP!

  Один комментарий в “Plesk и PHP Safe Mode — проблема WordPress”

  1. Спасибо огромное!!!!!!!!!